Package Builder issue


#1

When I run Package Builder in JuliaBox to install my unregistered package (https://github.com/reesepathak/EmpiricalRiskMinimization.jl) I get errors.

Here’s the end of the JuliaBox stderr

WARNING: mysql_connect is deprecated, use MySQL.connect instead.
Stacktrace:
[1] depwarn(::String, ::Symbol) at ./deprecated.jl:70
[2] mysql_connect(::String, ::Vararg{String,N} where N) at ./deprecated.jl:31
[3] update_job_status(::String, ::String, ::String, ::String) at /mnt/juliarun/JuliaBoxNG/src/image/julia/pkg_builder.jl:17
[4] include_from_node1(::String) at ./loading.jl:576
[5] include(::String) at ./sysimg.jl:14
[6] process_options(::Base.JLOptions) at ./client.jl:305
[7] _start() at ./client.jl:371
while loading /mnt/juliarun/JuliaBoxNG/src/image/julia/pkg_builder.jl, in expression starting on line 94
ERROR: LoadError: MethodError: no method matching connect(::String, ::String, ::String, ::String)
Closest candidates are:
connect(::String, ::String, ::String; db, port, unix_socket, client_flag, opts) at /home/jrun/.julia/v0.6/MySQL/src/MySQL.jl:43
Stacktrace:
[1] mysql_connect(::String, ::Vararg{String,N} where N) at ./deprecated.jl:33
[2] update_job_status(::String, ::String, ::String, ::String) at /mnt/juliarun/JuliaBoxNG/src/image/julia/pkg_builder.jl:17
[3] include_from_node1(::String) at ./loading.jl:576
[4] include(::String) at ./sysimg.jl:14
[5] process_options(::Base.JLOptions) at ./client.jl:305
[6] _start() at ./client.jl:371
while loading /mnt/juliarun/JuliaBoxNG/src/image/julia/pkg_builder.jl, in expression starting on line 94